Skip to content
Get started

Get swap routes for a denom

GET/api/v1/swap/routes

Get swap routes for a denom

Query ParametersExpand Collapse
contract_address: string

Swap contract address

source_denom: string

Source asset denom to fetch target routes for

Note: This is a normal injective asset denom, and not an AssetSpec ID.

E.g.

  • inj is a valid value for source_denom.
  • native;inj is not a valid value for source_denom.
ReturnsExpand Collapse
data: SwapRouteTargetSet { source, targets }
source: string

Source denom for swap routes

targets: array of string

List of target denoms for available swap routes

error: unknown

Error data. Guaranteed null for successful response.

status: number

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: string

HTTP status text

Get swap routes for a denom

curl https://api-v2.nept.finance/api/v1/swap/routes
{
  "data": {
    "source": "inj",
    "targets": [
      "ibc/F6CC233E5C0EA36B1F74AB1AF98471A2D6A80E2542856639703E908B4D93E7C4",
      "peggy0xAaEf88cEa01475125522e117BFe45cF32044E238"
    ]
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": {
    "source": "inj",
    "targets": [
      "ibc/F6CC233E5C0EA36B1F74AB1AF98471A2D6A80E2542856639703E908B4D93E7C4",
      "peggy0xAaEf88cEa01475125522e117BFe45cF32044E238"
    ]
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}